# Readme
Author: Jannik Beyerstedt  
**license:** GNU GPL v3


## Dependencies
This repository also provides a Makefile, but it does not work currently.
So the only option to compile and upload is via the Arduino IDE:
- Install ESP8266 Arduino Board Support from Boards Manager
- Select you board and upload port
- Compile and upload. (push the reset button just before the upload starts to wake the chip from deep sleep.)



## Settings
All configuration is currently done with preprocessor constants in the code itself.

- `NODENAME`:     User friendly name of the node (used for the influxDB measurements)
- `BOARD`:        Board type (see line 17 ff.) for the right battery settings
- `DB_HOSTNAME`:  Host/ domain name of your influxDB (port is fixed to 8086)
- `DB_PASSWD`:    HTTP BasicAuth string used to sign in



## Battery Lifespan
- ESP12: About 6 months
